Jump to content

Resolved - Have you installed 5.1.5 yet?


Recommended Posts

I was glad to see that CC had issued a new version, since there were so many bug reports for the last few upgrades, but also concerned that most of those recent bug reports never were marked as Resolved.

I usually wait a while before installing a new upgrade to try to get a sense of what issues might have crept into the new version. Maybe other people are doing the same thing... maybe Hurricane Sandy has more important issues on many people's minds, or maybe CC has actually resolved lots of issues without introducing more. But whatever the reason, I've not seen any comments about it on the forums or in the Bug Tracker.

So, I was wondering, have you upgraded to or clean installed 5.1.5, and how have you found it to be??

Link to comment
Share on other sites

Upgrading from 5.1.4 to 5.1.5 was a relatively straightforward experience. The biggest problem for me was the buggy coupon system from 5.1.4, which appears to have been rectified in 5.1.5.

However, for those people wanting to offer discounts to customers, upgrading to this version may not be a wise choice. The discounts are correctly factored in the grand total values, but the discount values themselves are broken - if a user has more than 1 of a particular item in their basket, the discounted value only reflects the discount value of 1. It also doesn't include VAT when the product itself does...this is extremely confusing for the customer and is not made clear enough.

The developers have informed me that the discount issues - as well as the badly designed VAT system - may be redeveloped for 5.2.0, but what are users supposed to do in the meantime? These are core features that will surely impact on a lot of end-users.

Link to comment
Share on other sites

  • 2 weeks later...

Upgraded from 5.1.4 to 5.1.5 and bravely used the "upgrade" button the admin. Worked like a charm.

All systems are a go - no apparent issues with core functionality.

Does anyone know how to leverage this change?

- New admin/skins/default/templates/element.hook_form_content.php file to allow hook content to be easily added into admin forms for tab content.

Does anyone know how to do this?

- Ability to link externally to catalog export.

Link to comment
Share on other sites

"Does anyone know how to leverage this change?

- New admin/skins/default/templates/element.hook_form_content.php file to allow hook content to be easily added into admin forms for tab content."

I haven't looked at it yet. But I will guess that:

Near the bottom of every(?) admin template, a Smarty line exists: {include file='templates/element.hook_form_content.php'}. This brings in the element file you mentioned.

The element file (an element is a very small piece of the page, pagination, for example), in turn, fetches the custom HTML to to create a <div class="tab_content"> block (although I see no limits to using it for things other than just tab blocks) contained in a "tabfile". The mod should have the PHP code to populate the div's Smarty variables and then Smarty->append('HOOK_TAB_CONTENT', the path/name of the tabfile).

Link to comment
Share on other sites

"A new tab was created for my Google Product Categories. IF we had used this hook it would not get overwritten by an upgrade?"

Correct.

"Other than to name the hook to use in the upgraded page, right?"

No. The naming of any of the hooks to use is part of the mod's config.xml file. Then, the mod's actual hook is strategically named to match the CubeCart hook to use. The code in the hook file will have the Smarty->append('HOOK_TAB_CONTENT', the path/name of the tabfile) statement.

Upgrading Cubecart will not in any way destroy the mod's existence. (This is not true, of course, for the mod's functionality.)

Link to comment
Share on other sites

This sounds not only easier for the customer to use, but easier for the developer to create a new mod. Hopefully the developers on the 3rd party forum will start doing this when they create a custom mod for someone. I wish all my current modifications were done that way - sure would make upgrading less time consuming.

Link to comment
Share on other sites

The whole coding paradigm has changed in CC5 from CC3/4, including the hook system (for those who don't know).

A such, for those who want to take advantage of this need to spend some time with it - until comprehensive documentation is written for it.

Until then, well, it's hacking the existing code to get what you want now as opposed to later.

Link to comment
Share on other sites

  • 1 month later...

Hi,

I tried to install the v5.1.5 on my local PC and it works fine but when I tried to install it on the server and click on Continue, it doesn't proceed on. I don't see any type of error message. Did someone know what's going on?

You can try it here, http:// REMOVED /store5/setup/index.php

Thanks

Link to comment
Share on other sites

Hi,

It's a linux server. here is the info, http:// REMOVED /store5/phpinfo.php

What is the exact syntax to add in debug? I tried inserting in ?debug after <?php but got an error:

Parse error: syntax error, unexpected '?' in /home/usever81/public_html/cubehelper/store5/setup/index.php on line 3


Thanks

Link to comment
Share on other sites

Your post above missed the store5 part.

Anyway, I am seeing some weirdness with cookies. Having visited REMOVED before, I have the cookies sent by that CC3 store. Those cookies are based on a path of "/". Then the CC5 installer sends a CC5 cookie based on a path of "/home/usever81/public_html/tmp", which is wrong. If this version of CC5 wants to send the correct cookie, it should be with a path of "/store5".

I manually edited the cookie to /store5 and when I clicked Continue, I got to the second page.

Then I pressed Start Again and I don't get any weird cookies.

But then I visited your CC3 store again and I am getting the weird cookies again.


Yup, I clear all the cookies from REMOVED. Then I visit the CC3 store. I get two cookies with path of "/" (which is good).

Then I visit /store5/setup/index.php and I get a third cookie with a weird path. That's bad.

If I first delete the prior two cookies, then visit /store5/setup/index.php, all proceeds normally.

Link to comment
Share on other sites

  • 3 weeks later...

Finally upgraded to 5.15 today from 5.14; no problems. My server doesn't do the "auto upgrade" from panel due to permission settings; but the FTP upload, and manual upgrade button worked first time, per usual (changing the includes file permission to 777 of course).

 

Only notable "change" I saw was that my custom skin file for the top right cart box no longer used, which implies new locale/file for that element, not a problem. I had added my hours of operation and phone number to that box along with a login/register link (seems good place for that, no?).

 

Other than that, seems to work with all my customizations. Yay.

 

Need to go through the list of what has changed in the skins to paste in any major things needed for compatibility.

 

but, so far so good!

 

Thanks for the regular updates to CC5.

 

Chris

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...